---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libsuspendthrdlst002.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3D08, symSize: 0x270 }
  - { offsetInCU: 0xAC4, offset: 0xAC4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4E100, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0xAEB, offset: 0xAEB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x50040, symBinAddr: 0xE128, symSize: 0x0 }
  - { offsetInCU: 0xB0D, offset: 0xB0D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x50428, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB2F, offset: 0xB2F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x513C8, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xB44, offset: 0xB44, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x513D0, symBinAddr: 0xF4B8, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4DD80, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xBCA, offset: 0xBCA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4DD84, symBinAddr: 0xC0AC, symSize: 0x0 }
  - { offsetInCU: 0xBD5, offset: 0xBD5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4DD88, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC1A, offset: 0xC1A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4DED8, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC93, offset: 0xC93, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4DF90, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCB1, offset: 0xCB1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4DF94, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCCA, offset: 0xCCA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4DF98, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCE3, offset: 0xCE3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4DF9C, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCFC, offset: 0xCFC, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4DFA0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x92C2, offset: 0x92C2, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4DFA8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934B, offset: 0x934B, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4DFB8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9364, offset: 0x9364, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4DFC0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x937D, offset: 0x937D, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4DFC8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9396, offset: 0x9396, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4DFD0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93AF, offset: 0x93AF, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4DFD8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93C9, offset: 0x93C9, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4DFE0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94AF, offset: 0x94AF, size: 0x8, addend: 0x0, symName: __ZL12threadsCount, symObjAddr: 0x4E024, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x94C8, offset: 0x94C8, size: 0x8, addend: 0x0, symName: __ZL7threads, symObjAddr: 0x4E028, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x94E1, offset: 0x94E1, size: 0x8, addend: 0x0, symName: __ZL14eventsReceived, symObjAddr: 0x4E030, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94FA, offset: 0x94FA, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4E038, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9576, offset: 0x9576, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2BF0, symSize: 0xA0 }
  - { offsetInCU: 0x960B, offset: 0x960B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2BC8, symSize: 0x28 }
  - { offsetInCU: 0x966E, offset: 0x966E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2B48, symSize: 0x80 }
  - { offsetInCU: 0x9902, offset: 0x9902, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x2C90, symSize: 0x34 }
  - { offsetInCU: 0x995C, offset: 0x995C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x2CC4, symSize: 0x20C }
  - { offsetInCU: 0x9B15, offset: 0x9B15, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x2ED0, symSize: 0x28 }
  - { offsetInCU: 0x9BDE, offset: 0x9BDE, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x2EF8, symSize: 0xB0 }
  - { offsetInCU: 0x9CD5, offset: 0x9CD5, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x2FA8, symSize: 0xD8 }
  - { offsetInCU: 0x9E26, offset: 0x9E26, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3080, symSize: 0x24 }
  - { offsetInCU: 0x9F61, offset: 0x9F61, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x30A4, symSize: 0x168 }
  - { offsetInCU: 0xA13D, offset: 0xA13D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x320C, symSize: 0x104 }
  - { offsetInCU: 0xA3EE, offset: 0xA3EE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x3310, symSize: 0x3F8 }
  - { offsetInCU: 0xA638, offset: 0xA638, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2144, symBinAddr: 0x3708, symSize: 0xDC }
  - { offsetInCU: 0xA6D6, offset: 0xA6D6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x37E4, symSize: 0x154 }
  - { offsetInCU: 0xA8BA, offset: 0xA8BA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3938, symSize: 0xAC }
  - { offsetInCU: 0xA9BB, offset: 0xA9BB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x39E4, symSize: 0x14 }
  - { offsetInCU: 0xA9F4, offset: 0xA9F4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x39F8, symSize: 0x14 }
  - { offsetInCU: 0xAA2D, offset: 0xAA2D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3A0C, symSize: 0x14 }
  - { offsetInCU: 0xABAA, offset: 0xABAA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3A20, symSize: 0x1A8 }
  - { offsetInCU: 0xAEB4, offset: 0xAEB4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3BC8, symSize: 0x140 }
  - { offsetInCU: 0xB055, offset: 0xB055, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x3F78, symSize: 0x1C0 }
  - { offsetInCU: 0xB332, offset: 0xB332, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4138, symSize: 0x9C }
  - { offsetInCU: 0xB3EF, offset: 0xB3EF, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x41D4, symSize: 0x690 }
  - { offsetInCU: 0xBF81, offset: 0xBF81, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9C08, symBinAddr: 0x5EA8, symSize: 0x30 }
  - { offsetInCU: 0xC00D, offset: 0xC00D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4864, symSize: 0x74 }
  - { offsetInCU: 0xC0BD, offset: 0xC0BD, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x48D8, symSize: 0xB0 }
  - { offsetInCU: 0xC1C8, offset: 0xC1C8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4988, symSize: 0x3C }
  - { offsetInCU: 0xC2BE, offset: 0xC2BE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x49C4, symSize: 0x29C }
  - { offsetInCU: 0xC601, offset: 0xC601, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x4C60, symSize: 0xD0 }
  - { offsetInCU: 0xC72F, offset: 0xC72F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x4D30, symSize: 0xC }
  - { offsetInCU: 0xC7F1, offset: 0xC7F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x4D3C, symSize: 0x22C }
  - { offsetInCU: 0xCAAC, offset: 0xCAAC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4F68, symSize: 0x4 }
  - { offsetInCU: 0xCAF0, offset: 0xCAF0, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4F68, symSize: 0x4 }
  - { offsetInCU: 0xCB09, offset: 0xCB09, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x4F6C, symSize: 0x2FC }
  - { offsetInCU: 0xCE8C, offset: 0xCE8C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8FC8, symBinAddr: 0x5268, symSize: 0x4 }
  - { offsetInCU: 0xCED0, offset: 0xCED0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8FC8, symBinAddr: 0x5268, symSize: 0x4 }
  - { offsetInCU: 0xCF15, offset: 0xCF15, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0x8FCC, symBinAddr: 0x526C, symSize: 0xD8 }
  - { offsetInCU: 0xD13A, offset: 0xD13A, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x90A4, symBinAddr: 0x5344, symSize: 0xB64 }
  - { offsetInCU: 0xDE0A, offset: 0xDE0A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9C38, symBinAddr: 0x5ED8, symSize: 0x358 }
...
